:root {
  --ff-refault: "Refault", Georgia;
  --ff-oswald: "Oswald", sans-serif;
  --ff-poppins: "Poppins", sans-serif;

  --fs-1: 54px;
  --fs-2: 34px;
  --fs-3: 30px;
  --fs-4: 26px;
  --fs-5: 22px;
  --fs-6: 20px;
  --fs-7: 18px;
  --fs-8: 15px;
  --fs-9: 14px;
  --fs-10: 13px;
  --fs-11: 12px;

  --fw-400: 400;
  --fw-500: 500;
  --fw-700: 700;

  --transition-1: 0.15s ease-in-out;
  --transition-2: 0.15s ease-in;
  --transition-3: 0.25s ease-out;

  --section-padding: 60px;
  --section-padding-form: 200px;

  --polygon-1: polygon(90% 0, 100% 34%, 100% 100%, 10% 100%, 0 66%, 0 0);
  --polygon-2: polygon(0 0, 100% 0%, 82% 100%, 0% 100%);
  --polygon-3: polygon(0 0, 100% 0%, 100% 100%, 18% 100%);
  --polygon-4: polygon(96% 0, 100% 36%, 100% 100%, 4% 100%, 0 66%, 0 0);
}

/* FONTS */
@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@100;200;300;400;500;600;700;800;900&display=swap");

/* SCROLLBAR */
::-webkit-scrollbar {
  width: 8px;
}

::-webkit-scrollbar-track {
  box-shadow: inset 0 0 5px rgba(255, 255, 255, 0);
  border-radius: 0px;
}

::-webkit-scrollbar-thumb {
  background-color: var(--colorMain);
  border-radius: 0px;
}

/* GENERAL */

* {
  padding: 0;
  margin: 0;
}

html {
  width: 100%;
  height: 100%;
  scroll-behavior: smooth;
}

body {
  font-family: "Montserrat", sans-serif;
  font-weight: 800;
  height: 100%;
  overflow-x: hidden;
  background-color: var(--backgroundMain);
  position: relative;
}

.background-container {
  position: relative;
  width: 100%;
}
.background-container::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: url("../images/back.jpg") no-repeat center center/cover;
  background-repeat: no-repeat !important;
  background-size: cover !important;
  background-attachment: fixed;
  filter: blur(2px);
  z-index: -1;
}
.app {
  position: relative;
  z-index: 1;
  color: white;
  padding: 20px;
}

a {
  text-decoration: none;
}

path,
line {
  stroke: var(--colorMain) !important;
}

.animation {
  transition: all 0.6s;
  opacity: 0;
  transform: translateY(40px);
}

.animation.show {
  opacity: 1;
  transform: none;
  transition-delay: 0.2s;
}

/* GRID SYSTEM */

.row {
  width: 100%;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 1%;
}

.col-lg-2 {
  width: 49%;
}

.col-lg-4 {
  width: 24%;
}

@media only screen and (max-width: 1300px) {
  .row {
    width: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 1%;
  }

  .col-lg-2 {
    width: 100%;
  }

  .col-lg-4 {
    width: 49%;
  }

  .background-container::before {
    background: url("../images/mobileback.webp") no-repeat center center/cover !important;
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    background-position: inherit;
    background-image: inherit;
    background-size: inherit;
    background-attachment: inherit;
    background-repeat: inherit;
    position: fixed;
    top: 0;
    z-index: -1;
    filter: blur(2px);
    z-index: -1;
  }
}

@media only screen and (max-width: 800px) {
  .col-lg-4 {
    width: 100%;
  }
}

/* From Uiverse.io by Smit-Prajapati */
.button {
  /* in scss with just one variable i can change opacity with rgba(variable, opacity) but in css it's not possible so i have used three seperate variables */
  /* with hue-rotate color can be changed */
  --main-color: rgb(213, 46, 46);
  --main-bg-color: rgba(213, 46, 47, 0.36);
  --pattern-color: rgba(213, 46, 47, 0.073);

  /* change this rotation value */
  filter: hue-rotate(0deg);

  cursor: pointer;
  text-transform: uppercase;
  letter-spacing: 0.5rem;
  background: radial-gradient(
      circle,
      var(--main-bg-color) 0%,
      rgba(0, 0, 0, 0) 95%
    ),
    linear-gradient(var(--pattern-color) 1px, transparent 1px),
    linear-gradient(to right, var(--pattern-color) 1px, transparent 1px);
  background-size: cover, 15px 15px, 15px 15px;
  background-position: center center, center center, center center;
  border-image: radial-gradient(
      circle,
      var(--main-color) 0%,
      rgba(0, 0, 0, 0) 100%
    )
    1;
  border-width: 1px 0 1px 0;
  color: var(--main-color);
  padding: 1rem 3rem;
  font-weight: 700;
  font-size: 1.5rem;
  transition: background-size 0.2s ease-in-out;

  margin-top: 40px;
  font-weight: 600;
  font-size: 14px;
  padding: 20px 25px;
  width: 100%;
  /*display: flex;*/
  align-items: center;
  cursor: pointer;
}

.button:hover {
  background-size: cover, 10px 10px, 10px 10px;
}
.button:active {
  filter: hue-rotate(250deg);
}

.go-top {
  --polygon-1: polygon(70% 0, 100% 30%, 100% 100%, 30% 100%, 0 70%, 0 0);

  position: fixed;
  bottom: 20px;
  left: 20px;
  padding: 15px;
  visibility: hidden;
  opacity: 0;
  pointer-events: none;
  transition: var(--transition-1);
  z-index: 99999999;
}

.go-top.active {
  visibility: visible;
  opacity: 1;
  pointer-events: all;
}

.go-top:is(:hover, :focus) {
  background: white;
  color: #ffffff;
}

.btnss {
  color: white;
  font-family: var(--ff-oswald);
  font-size: var(--fs-6);
  font-weight: var(--fw-500);
  letter-spacing: 1px;
  text-transform: uppercase;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
  padding: 15px 15px;
  clip-path: var(--polygon-1);
  transition: var(--transition-1);
}

.btnss-primary {
  background: var(--colorMain);
}

.btnss-primary:is(:hover, :focus) {
  background: var(--backgroundMain);
}
